import React from 'react';

import { Overlay, PigeonProps } from 'pigeon-maps';

import GPXFigure from './gpx-figure';

const GPXOverlay: React.FC<PigeonProps> = (props: PigeonProps) => {
  return (
    <Overlay >
      {props.mapState && props.mapState.width > 0 && (
        <svg
          xmlns='http://www.w3.org/2000/svg'
          viewBox={'0 0 ' + props.mapState.width + ' ' + props.mapState.height}
          width={props.mapState.width}
          height={props.mapState.height}
        >
          <GPXFigure
            mapState={props.mapState}
            latLngToPixel={props.latLngToPixel}
          />
        </svg>
      )}
    </Overlay>
  );
};

export default GPXOverlay;
